intel::security::metee_exception(3)

NAME
intel::security::metee_exception

SYNOPSIS

#include <meteepp.h>

Inherits std::system_error.

  Public Member Functions
metee_exception (const std::string &what, int err=TEE_INTERNAL_ERROR)
metee_exception (int err, const std::error_category &cat)
metee_exception (int err, const std::error_category &cat, const std::string &what)
virtual ~metee_exception () noexcept

Detailed Description

MeTee error exception class class

Definition at line 53 of file meteepp.h.

Constructor & Destructor Documentation

  intel::security::metee_exception::metee_exception (const std::string & what, int err = TEE_INTERNAL_ERROR) [inline]
Constructor

Parameters
    what error string
    err error code

Definition at line 60 of file meteepp.h.

  intel::security::metee_exception::metee_exception (int err, const std::error_category & cat) [inline]
Constructor

Parameters
    err error code
    cat error category

Definition at line 65 of file meteepp.h.

  intel::security::metee_exception::metee_exception (int err, const std::error_category & cat, const std::string & what) [inline]
Constructor

Parameters
    err error code
    cat error category
    what error string

Definition at line 71 of file meteepp.h.

  virtual intel::security::metee_exception::~metee_exception () [inline], [virtual], [noexcept]
Destructor

Definition at line 74 of file meteepp.h.

Author

Generated automatically by Doxygen for metee from the source code.